# Create or update many entries by source reference

`POST /cms/bulk` · Rivier · content

Create or update many entries by source reference.

- Scope: content:write
- Mcp: rivier_cms_bulk
- Graphql: Mutation.contentEntryBulk
- Sdk: content.entry.bulk
- Cli: content entry bulk

## Request body

`application/json`

```json
{
  "type": "object",
  "properties": {},
  "additionalProperties": true
}
```

## Responses

- `200`: Success
- `400`: The request was malformed
- `401`: No valid credential
- `403`: The credential lacks the scope, origin or address
- `429`: Over the key's rate limit; see Retry-After

## Example

```sh
curl -X POST 'https://api.rivier.ai/cms/bulk' \
  -H 'Authorization: Bearer $KEY' \
  -H 'Content-Type: application/json' \
  -d '{}'
```
